### Method

# Clutter Actor get_paint_opacity

#### Declaration [src]

    guint8
    clutter_actor_get_paint_opacity (
      ClutterActor* self
    )

#### Description [src]

Retrieves the absolute opacity of the actor, as it appears on the stage.

This function traverses the hierarchy chain and composites the opacity of the actor with that of its parents.

This function is intended for subclasses to use in the paint virtual function, to paint themselves with the correct opacity.

#### Return value

Type: `guint8`

The actor opacity value.